summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* dev-qt: Drop Qt 5.9.5Andreas Sturmlechner2018-06-20105-2143/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* media-sound/fluidsynth: 1.1.11 version bumpAndreas Sturmlechner2018-06-202-0/+78
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* profiles/prefix/make.defaults: PYTHON TARGET are incremental varsMichael Haubenwallner2018-06-201-2/+3
| | | | | We need to drop unwanted base profile values, especially for PYTHON_SINGLE_TARGET.
* eclass/ros-catkin.eclass: Use https for homepage and add ROS_REPO_URI too ↵Alexis Ballier2018-06-201-1/+1
| | | | for a quicker link to the repo.
* x11-misc/xiccd: bump to EAPI 7Marek Szuba2018-06-201-2/+2
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-python/pyicu: bump 2.0.3 to EAPI 7Marek Szuba2018-06-201-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-libs/amdgpu-pro-opencl: bump to EAPI 7Marek Szuba2018-06-201-2/+2
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-libs/libpcre2: fix cygwin buildMichael Haubenwallner2018-06-202-0/+20
| | | | | | Closes: https://bugs.gentoo.org/633612 Package-Manager: Portage-2.3.13, Repoman-2.3.3 Closes: https://github.com/gentoo/gentoo/pull/8918
* app-text/poppler: Adjusted sub-slot in live ebuild.Lars Wendler2018-06-201-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* app-text/poppler: Bump to version 0.66.0Lars Wendler2018-06-202-0/+127
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* x11-plugins/pidgin-telegram: New packageConrad Kostecki2018-06-203-0/+65
| | | | | | Closes: https://bugs.gentoo.org/529908 Closes: https://github.com/gentoo/gentoo/pull/7777 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-libs/nmeap: New packageConrad Kostecki2018-06-203-0/+79
| | | | | | | Needed-by: https://bugs.gentoo.org/652706 Closes: https://bugs.gentoo.org/653150 Closes: https://github.com/gentoo/gentoo/pull/7989 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* package.mask: Last rite sys-apps/paludisMichał Górny2018-06-201-0/+8
|
* sys-fs/eudev: [QA] Fix invalid stubbing of eclass internalsMichał Górny2018-06-204-16/+12
|
* profiles/prefix/make.defaults: drop FEATURES=collision-protectFabian Groffen2018-06-201-2/+0
| | | | | | | | | | | | | | | | | | After many years, we finally came to the conclusion we don't need this any more, and can do with protect-owned (the default) very well. Most prominent reason for this is that Gentoo for Mac OS X has been superseeded by Gentoo Prefix for macOS, which no longer tries to install binaries side by side with the host provided utilities. E.g. it is no longer the case that files encountered as a conflict can be something that is provided by the host system (and hence should not be nuked). In Gentoo Prefix we assume that $EPREFIX is solely managed by the PM, so anything it finds there which it doesn't know about can be safely overwritten. Users that actually use EPREFIX=/ on their systems can set FEATURES=collision-protect in their local make.conf. Bug: https://bugs.gentoo.org/655414
* profiles/prefix/make.defaults: update Ruby and Python targetsFabian Groffen2018-06-201-8/+7
| | | | Aim for Ruby-2.4 and Python-2.7 & 3.6.
* dev-libs/elfutils: enable verbose reporting for test failuresSergei Trofimovich2018-06-201-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-libs/elfutils: bump up to 0.172Sergei Trofimovich2018-06-202-0/+67
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/ruby-ldap: update HOMEPAGEHans de Graaff2018-06-201-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/pundit: add ruby25Hans de Graaff2018-06-201-3/+3
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/rex-java: cleanupHans de Graaff2018-06-202-24/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/rex-ole: cleanupHans de Graaff2018-06-202-26/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/rex-powershell: cleanupHans de Graaff2018-06-202-28/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/rex-random_identifier: cleanupHans de Graaff2018-06-202-26/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/rex-registry: cleanupHans de Graaff2018-06-202-24/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/seed-fu: cleanupHans de Graaff2018-06-202-33/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-libs/nodejs: Depend on net-libs/nghttp2-1.32.0.Jeroen Roovers2018-06-201-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/rack-attack: add 5.3.0Hans de Graaff2018-06-202-0/+35
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-ruby/sprockets: add 3.7.2Hans de Graaff2018-06-202-0/+61
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-p2p/transmission: remove oldMike Gilbert2018-06-195-665/+0
| | | | Package-Manager: Portage-2.3.40_p15, Repoman-2.3.9_p247
* www-plugins/chrome-binary-plugins: automated update (69.0.3464.0)Mike Gilbert2018-06-192-1/+1
| | | | Package-Manager: Portage-2.3.40_p15, Repoman-2.3.9_p247
* www-client/google-chrome-unstable: automated update (69.0.3464.0)Mike Gilbert2018-06-192-1/+1
| | | | Package-Manager: Portage-2.3.40_p15, Repoman-2.3.9_p247
* app-text/xiphos: Version bumpChris Reffett2018-06-192-0/+89
| | | | | Closes: https://bugs.gentoo.org/658342 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-libs/biblesync: Version bump for xiphosChris Reffett2018-06-192-0/+26
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* app-text/sword: Version bumpChris Reffett2018-06-192-0/+85
| | | | | Closes: https://bugs.gentoo.org/658358 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* app-text/bibletime: Actually, bump to 2.11.2Chris Reffett2018-06-192-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* app-text/bibletime: Version bumpChris Reffett2018-06-192-0/+48
| | | | | Closes: https://bugs.gentoo.org/658356 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-python/cffi: bump to 1.11.5Virgil Dupras2018-06-192-0/+51
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-misc/openssh: fix white spaceAnthony G. Basile2018-06-192-2/+2
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* mail-client/thunderbird-bin: add myself as maintainerThomas Deutschmann2018-06-201-7/+11
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* www-client/firefox-bin: add myself as maintainerThomas Deutschmann2018-06-201-4/+8
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-python/flask-babel: Add PyPy3, Python 3.6, docLouis Sautier2018-06-201-0/+48
| | | | | | | Also remove speaklater which is no longer required; upstream uses a modified speaklater.py file that they bundled. Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-lang/elixir: drop oldSergei Trofimovich2018-06-192-33/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* dev-lang/elixir: bump up to 1.6.6Sergei Trofimovich2018-06-192-0/+33
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-analyzer/nagios-core: clean up unused files.Michael Orlitzky2018-06-197-341/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-analyzer/nagios-core: finally drop nagios-3.x from the tree.Michael Orlitzky2018-06-192-217/+0
| | | | | | | | | | | | | | | | A bunch of security bugs (and my own personal happiness) were blocked on this because nagios-3.x was sometimes required by an old version of net-analyzer/pnp4nagios. Now that a version of pnp4nagios has been stabilized with more reasonable dependencies, we can finally get rid of nagios-3.x. This leaves a bunch of unused files in FILESDIR that I'll clean up in another commit. Bug: https://bugs.gentoo.org/636234 Bug: https://bugs.gentoo.org/628086 Bug: https://bugs.gentoo.org/629380 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* x11-wm/enlightenment: keyworded 0.22.3 for ia64, bug #657090Sergei Trofimovich2018-06-191-1/+1
| | | | | | Bug: https://bugs.gentoo.org/657090 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ia64"
* x11-wm/enlightenment: keyworded 0.21.11 for ia64, bug #657090Sergei Trofimovich2018-06-191-1/+1
| | | | | | Bug: https://bugs.gentoo.org/657090 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ia64"
* net-analyzer/pnp4nagios: remove unused files.Michael Orlitzky2018-06-193-151/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-analyzer/pnp4nagios: remove "unused" vulnerable versions.Michael Orlitzky2018-06-196-505/+0
| | | | | Bug: https://bugs.gentoo.org/637640 Package-Manager: Portage-2.3.40, Repoman-2.3.9